Bug 1574121 - Review Request: python-graphviz - Simple Python interface for Graphviz
Summary: Review Request: python-graphviz - Simple Python interface for Graphviz
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1574128
TreeView+ depends on / blocked
 
Reported: 2018-05-02 17:49 UTC by Robert-André Mauchin 🐧
Modified: 2018-05-23 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-23 15:39:21 UTC
Type: ---
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2018-05-02 17:49:57 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/python-twisted/fedora-rawhide-x86_64/00748472-python-graphviz/python-graphviz.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/python-twisted/fedora-rawhide-x86_64/00748472-python-graphviz/python-graphviz-0.8.2-1.fc29.src.rpm

Description:
This package facilitates the creation and rendering of graph descriptions in 
the DOT language of the Graphviz graph drawing software (master repo) from 
Python.

Create a graph object, assemble the graph by adding nodes and edges, and 
retrieve its DOT source code string. Save the source code to a file and 
render it with the Graphviz installation of your system.

Fedora Account System Username: eclipseo

Comment 1 Miro Hrončok 2018-05-10 15:39:33 UTC
Coordinate this with the graphviz package carefully.

You might need to set epoch to 1 here.

$ dnf repoquery --releasever rawhide --obsoletes graphviz-python2
graphviz-python < 2.40.1-25.fc29
python2-graphviz < 2.40.1-25.fc29

Also graphviz-python2 should hardcode the version it obsoletes and not have it dynamically.

---------------

%package -n python-%{pypi_name}-doc
Summary:        graphviz documentation

I don't like that summary, it rather should be: "Documentation for %{name}" or similar. The description can then contain the common description + a note baout this being documentation.

---------------

# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.

What scripts? Remove that comment.

---------------

Building now.

Comment 2 Miro Hrončok 2018-05-10 16:29:02 UTC
python-graphviz-doc.noarch: W: summary-not-capitalized C graphviz documentation
python-graphviz-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-graphviz-doc/html/_sources/api.rst.txt
python-graphviz-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-graphviz-doc/html/_sources/changelog.rst.txt
python-graphviz-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-graphviz-doc/html/_sources/examples.rst.txt
python-graphviz-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-graphviz-doc/html/_sources/index.rst.txt
python-graphviz-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-graphviz-doc/html/_sources/license.rst.txt
python-graphviz-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-graphviz-doc/html/_sources/manual.rst.txt
OK python-graphviz.src: W: spelling-error %description -l en_US repo -> rope, rep, reps
OK python2-graphviz.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
python2-graphviz.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python2-graphviz/README.rst
OK python3-graphviz.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
python3-graphviz.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-graphviz/README.rst
4 packages and 0 specfiles checked; 0 errors, 12 warnings.

Please fix those (except the spelling, "repo" is fine).

However, not sure why "(master repo)" is in the description at all.

Comment 3 Jos de Kloe 2018-05-10 21:50:14 UTC
I found while doing the review of python-Automat that 7 tests have been skipped when executing the checks for that package.
They all have the remark: 'Graphviz tools are not installed.
it seems to me this is caused by the fact that python-graphviz,
does not have a requires on the  graphviz package itself ...
I think this requires should be added.

Comment 4 Robert-André Mauchin 🐧 2018-05-12 16:00:18 UTC
First, thank you for the review!

Here's the changes I've made:

 - Bumped to 0.8.3

 - Set Epoch to 1

 - Renamed Documentation package and expanded the description.

 - Removed the automatic comment regarding install

 - Fixed the end of line encoding with:

sed -i 's/\r//' docs/*.rst
sed -i 's/\r//' README.rst

 - Added a Requires to Graphviz

Rpmlint is now:

Rpmlint
-------
Checking: python2-graphviz-0.8.3-1.fc29.noarch.rpm
          python3-graphviz-0.8.3-1.fc29.noarch.rpm
          python-graphviz-doc-0.8.3-1.fc29.noarch.rpm
          python-graphviz-0.8.3-1.fc29.src.rpm
python2-graphviz.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
python3-graphviz.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
python-graphviz-doc.noarch: W: spelling-error %description -l en_US repo -> rope, rep, reps
python-graphviz.src: W: spelling-error %description -l en_US repo -> rope, rep, reps
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Updated SPEC and SRPM:

Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/python-twisted/fedora-rawhide-x86_64/00753150-python-graphviz/python-graphviz.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/python-twisted/fedora-raw hide-x86_64/00753150-python-graphviz/python-graphviz-0.8.3-1.fc29.src.rpm


I'll try to catch Zbyszek for the required Graphviz changes.

Comment 5 Miro Hrončok 2018-05-13 13:45:46 UTC
Remove docs/license.rst from %license, look what's inside:

    .. _license:
    
    License
    =======
    
    .. include:: ../LICENSE


> # Set Epoch to avoid conflict with graphviz-python

Maybe:

# Set Epoch to avoid being obsoleted by graphviz-python


Other than that, consider this APPROVED.

Comment 6 Robert-André Mauchin 🐧 2018-05-13 19:59:48 UTC
Thank you, I've made the requested change.

Comment 7 Gwyn Ciesla 2018-05-14 13:10:04 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-graphviz

Comment 8 Fedora Update System 2018-05-14 14:02:40 UTC
python-graphviz-0.8.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a3693fb2ca

Comment 9 Fedora Update System 2018-05-14 20:40:15 UTC
python-graphviz-0.8.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a3693fb2ca

Comment 10 Fedora Update System 2018-05-23 15:39:21 UTC
python-graphviz-0.8.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.